[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TIconImage.UpdateFromImage

Updates the icon image from the specified raw image data.

## Declaration

Source position: graphics.pp line 1576

`protected procedure TIconImage.UpdateFromImage(`
`const AImage: TRawImage`
`);`

## Arguments

`AImage` |  | Raw image data stored in the method.

## Description

UpdateFromImage is a procedure used to update the icon image from the specified raw image data.

AImage is a TRawImage instance with the image content stored in the RawImage property in the class instance. The image descriptor in AImage is examined to get the values stored in the Height and Width properties. The color depth in AImage is converted and stored in the PixelFormat property.

UpdateFromImage is called from the Create constructor when a TRawImage or a TIconInfo argument is provided.

## See also

TIconImage.PixelFormat |  | PixelFormat - the format of the Pixels in the Image.
TIconImage.Height |  | The Height of the Icon.
TIconImage.Width |  | The Width of the Icon.
TRawImage